Page MenuHomePhabricator

Watchlist Expiry: Filter out expired items from watcher counts [medium]
Closed, ResolvedPublic

Description

As a Watchlist Expiry user, I want the details in ?action=info for an article page to filter out expired items for "Number of page watchers" and "Number of page watchers who visited recent edits" counts, so that the number of page watchers is accurately represented.

Acceptance Criteria:

  • Filter out expired items from the functions: countWatchers, countVisitingWatchers, countWatchersMultiple and countVisitingWatchersMultiple.

Event Timeline

HMonroy created this task.Apr 28 2020, 7:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
HMonroy updated the task description. (Show Details)Apr 28 2020, 7:12 PM
ifried updated the task description. (Show Details)Apr 28 2020, 9:05 PM
ifried renamed this task from Watchlist Expiry: Filter out expired items from watcher counts to Watchlist Expiry: Filter out expired items from watcher counts [medium].Apr 30 2020, 11:29 PM
ifried moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
ifried moved this task from Estimated to Kanban-2019-20-Q4 on the Community-Tech board.
HMonroy claimed this task.May 5 2020, 10:53 PM
HMonroy moved this task from Ready to In Development on the Community-Tech (Kanban-2019-20-Q4) board.
HMonroy updated the task description. (Show Details)May 12 2020, 1:34 AM

Change 596505 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/core@master] Filter out expired items from watcher counts

https://gerrit.wikimedia.org/r/596505

Change 596505 merged by jenkins-bot:
[mediawiki/core@master] Filter out expired items from watcher counts

https://gerrit.wikimedia.org/r/596505

dom_walden added a subscriber: dom_walden.

Testing that the correct number of watchers (when compared to DB) for $page is displayed on:

  • Page information ($page?action=info, FYI only admins can see this and it can take a while for the numbers to update)
  • Via the API (Special:ApiSandbox#action=query&format=json&prop=info&titles=$page&inprop=watchers%7Cvisitingwatchers)
  • $page's entry on Special:RecentChanges (only if $wgRCShowWatchingUsers = true, which isn't the case on production)
  • $page's entry on Special:Watchlist (only if $wgRCShowWatchingUsers = true)

For a mix of permanent, temporary and expired watches.

Testing environment: vagrant MediaWiki 1.35.0-alpha (fb74dec)

ifried closed this task as Resolved.Jun 10 2020, 1:05 AM
ifried moved this task from Product sign-off to Done on the Community-Tech (Kanban-2019-20-Q4) board.
ifried added a subscriber: ifried.

I have tested this, and the counter on the watchlist is adjusted when items are no longer being watched. For this reason, I am marking this work as Done.